package com.hzya.frame.sysnew.organ.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 组织机构表(Sys_Organ)(SysOrgan)实体类
 *
 * @author makejava
 * @since 2024-03-26 15:24:27
 */
public class SysOrganEntity extends BaseEntity {

    /**
     * 机构名称
     */
    private String organName;
    /**
     * 机构代码
     */
    private String organCode;
    /**
     * 组织机构父级ID
     */
    private String parentOrganId;
    /**
     * 组织机构父级ID
     */
    private String parentOrganName;
    /**
     * 状态: 0启用 1 停用
     */
    private String state;
    /**
     * 是否公司： 0 是 1 否
     */
    private String company;
    /**
     * 机构负责人
     */
    private String managerId;
    /**
     * 机构负责人
     */
    private String managerName;
    /**
     * 备注
     */
    private String remark;
    /**
     * 公司id
     */
    private String companyId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 子集
     */
    private List<SysOrganEntity> children;


    private String label;
    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getOrganCode() {
        return organCode;
    }

    public void setOrganCode(String organCode) {
        this.organCode = organCode;
    }

    public String getParentOrganId() {
        return parentOrganId;
    }

    public void setParentOrganId(String parentOrganId) {
        this.parentOrganId = parentOrganId;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public List<SysOrganEntity> getChildren() {
        return children;
    }

    public void setChildren(List<SysOrganEntity> children) {
        this.children = children;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getParentOrganName() {
        return parentOrganName;
    }

    public void setParentOrganName(String parentOrganName) {
        this.parentOrganName = parentOrganName;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }
}

